AI Gateway usage overview
curl --request GET \
--url https://api.ngrok.ai/usage/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ngrok.ai/usage/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ngrok.ai/usage/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uri": "<string>",
"buckets": [
{
"bucketStart": "2023-11-07T05:31:56Z",
"groupKey": "<string>",
"cost": "<string>",
"requests": 123,
"errors": 123
}
],
"totals": {
"cost": "<string>",
"requests": 123,
"errors": 123
}
}{
"statusCode": 123,
"msg": "<string>",
"details": {},
"errorCode": "<string>"
}Usage
AI Gateway usage overview
Aggregated daily cost, request, and error series for the authenticated
GET
/
usage
/
overview
AI Gateway usage overview
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Start of the window as an RFC3339 timestamp. Inclusive.
End of the window as an RFC3339 timestamp. Defaults to now.
Dimension to break the series down by. Defaults to provider.
Available options:
provider, accessKey Was this page helpful?